/*
Theme Name: TTF Child Boddenracer
Template: twentytwentyfive
Description: Child of Twenty Twenty-Five with color and style adaptions, templates for races, template parts and patterns for boddenracer.
Author: LemonHead
Author URI: https://lemonhead.de
Requires at least: 6.7
Tested up to: 6.8
Requires PHP: 7.2
Version: 1.11
Text Domain: twentytwentyfive
*/

.hidden {
    display: none !important;
}

@media screen and (min-width: 768px) {  
    .hide-md {
        display: none !important;
    }

    .show-md {
        display: block !important;
    }
}

.wp-site-blocks > header,
.wp-site-blocks > .header {
    position: sticky;
    top: 0;
    background-color: var(--wp--preset--color--base);
    z-index: 1000;
}


.wp-site-blocks > header .wp-block-search .wp-block-search__inside-wrapper{
    background-color: white;
    border-radius: 3.125rem;
    padding: 0;
}

.wp-site-blocks > header .wp-block-search.alignright .wp-block-search__inside-wrapper {
    justify-content: flex-end;
}

.wp-site-blocks > header .wp-block-search .wp-block-search__button {
    padding: 0.5rem 0.25rem;
}

.wp-site-blocks > header .wp-block-search .wp-block-search__button svg {
    width: 2rem;
    height: 2rem;
}

.wp-site-blocks > footer,
.wp-site-blocks > .footer {
    margin-top: 0;
}


@media screen and (max-width: 768px) {  
    .wp-site-blocks > header .wp-block-search {
        width: 100%;
    }

    .wp-site-blocks > header .wp-block-search .wp-block-search__button {
        margin-left: 0.125rem;
    }

    #boddenracer-side-anchor {
        /* used in regatta templates showing boddenracer logo an link on the left of content */
        display: none;
    }
    
    .wp-block-navigation__container > .wp-block-navigation-item,
    .wp-block-navigation__container > .wp-block-navigation-item.wp-block-navigation-submenu {
        font-size: 1.25em;
    }

    .wp-block-navigation__container .wp-block-navigation__submenu-container {
        font-size: 0.9em;
        font-weight: normal;
    }

    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-container {
        padding-top: 0;/*var(--wp--style--block-gap,1em)*/
    }

    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
        padding-right: 0;
        padding-left: 1rem;
    }

    /** Center footer content on smaller screens */
    .wp-site-blocks > footer  {
        text-align: center !important;
    }

    .wp-site-blocks > footer .wp-block-group.is-layout-flex {
        justify-content: center !important;
        align-items: center !important;
    }

    .wp-site-blocks > footer .wp-block-navigation {
        justify-content: center !important;
    }

}  /* Adjust for smaller screens */


.qi-block-timeline .qodef-e-line,
.qi-block-timeline .qodef-e-point-holder .qodef-e-point {
    background-color: var(--wp--preset--color--accent-1) !important;
}

ul.no-list {
    list-style: none;
    padding-left: 0;
}

ul.horizontal-list {
    display: flex;
    gap: 0 1rem;
    flex-wrap: wrap;
    padding-left: 0;
}

.wp-block-archives-list > li {
    font-size: var(--wp--preset--font-size--small);
    padding: 0.5rem 0;
}

.wp-block-archives-list > li > a {
    font-size: var(--wp--preset--font-size--medium);
    padding-right: 0.125rem;
}